<?php

class Tool_BordersController extends Zend_Controller_Action
{

    public function getAction ()
    {
        $config = Zend_Registry::get('config');
        $request = $this->getRequest();
        
        //Filter input data
        $lon = floatval($request->getParam('lon'));
        $lat = floatval($request->getParam('lat'));
        
        $result['replyCode'] = 200;
        $result['records'] = array();
        
        //Initialize world boudnaries table
        $wbTable = new Giscuit_Db_Table_Layer_Worldboundaries(array(
            'name' => 'world_boundaries'
        ));
        
        //Get country and it's neighbours by providing lon and lat
        $neighbours = $wbTable->getNeighbours($lon, $lat, array(
            'limit' => $config->plugins->Borders->limit
        ));
        
        //Construct a JSON friendly array with neighbours data
        if(count($neighbours) > 0) {
            foreach ($neighbours as $neighbour) {
                $result['records'][] = $neighbour->neighbour;
            }
            $result['name'] = $neighbour->name;
        }
                
        //Convert to JSON and send back to the client
        $this->_helper->json($result);
    }
    
}