<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: DrawController.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Default
 * @copyright  Copyright (c) 2012 VEC
 */

class DrawController extends Zend_Controller_Action
{
    public function indexAction()
    {
        $layout = Zend_Layout::getMvcInstance();
        if ($layout instanceof Zend_Layout) {
            $layout->disableLayout();
        }      
        $this->_helper->viewRenderer->setNoRender();
        
        $map = new Giscuit_Map_Map(GT_CONFIG_PATH . DIR_SEP . 'default.map');

        $map->setParamsFromConfig();
        $map->addCurrentLayers(Giscuit_Map_Map::getDefaultOptions());
        
        $this->drawMap($map);
        
    }

    protected function drawMap($map)
    {
        $image = $map->draw();
        
        if(GT_PRODUCTION == true) {
            $contentType = $map->outputformat->mimetype;
            $this->getResponse()->setHeader('Content-type', $contentType);
        }
        
        //Cache
        $this->getResponse()->setHeader('Cache-Control', 'private, max-age=300, pre-check=300', true);
        $this->getResponse()->setHeader('Pragma', 'private', true);
        
        $size = $image->saveimage('');
        
        if(method_exists($image, 'free')) {
            $image->free();
        }
        
        //Log
        Giscuit_Controller_Ows::log('web', 'private', $size, implode(',', array_keys($map->children)), $map->getExtent(), $map->getSize());
    }

}