<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id$
 * @category   Giscuit
 * @package    Giscuit_Controller
 * @subpackage Mobile
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see AuthController
 */
require_once GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'controllers' . DIR_SEP . 'AuthController.php';

class Mobile_AuthController extends AuthController
{
    
    public function getLoginForm ()
    {
        $form = new Giscuit_Form_Login();
        $form->addAttribs(array(
            'data-ajax' => 'false' ,
        ));
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'mobile' ,
            'controller' => 'auth' ,
            'action' => 'index' ,
            'jqm' => 1
        ), null, true);
        $form->setAction($action);
        
        return $form;
    }
    
    public function signupagreementAction()
    {
        parent::signupagreementAction();

        $this->view->setScriptPath(GT_MODULES_PATH . DIR_SEP . 'default' . DIR_SEP . 'views' . DIR_SEP . 'scripts' . DIR_SEP);
    }
    
    public function getSignupForm ()
    {
        $form = new Giscuit_Form_Signup();
        $translate = Zend_Registry::get('Zend_Translate');
        
        $action = $this->_helper->url->url(array(
            'language' => Zend_Registry::get('Zend_Translate')->getLocale() ,
            'module' => 'mobile' ,
            'controller' => 'auth' ,
            'action' => 'signup' ,
        ), null, true);
        $form->setAction($action);

        $form->getElement('agreement')->setLabel('iAgreeTermsMobile');
        $form->getDisplayGroup('signupAgreement')->getDecorator('Fieldset')->setOption('escape', false);
        $linkValue = '<a href="signupagreement" target="_blank">' . $translate->_('signupAgreement') . '</a>';
        $form->getDisplayGroup('signupAgreement')->setLegend($linkValue);
        //
        $form->applyJqmFixes();
        
        return $form;
    }
}