<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: History.php 3451 2013-06-13 09:15:41Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Giscuit_Form_Abstract
 */
require_once 'Giscuit/Form/Abstract.php';

/**
 * Form class changing history date range 
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_History extends Giscuit_Form_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        //From
        $this->addElement('date', 'dateBegin', array(
            'label' => 'dateBegin' , 
            'attribs' => array(
                'id' => 'gtHistorymanageDateBeginId'
            )
        ));
        
        //To
        $this->addElement('date', 'dateEnd', array(
            'label' => 'dateEnd' , 
            'attribs' => array(
                'id' => 'gtHistorymanageDateEndId'
            )
        ));
        
        //Submit
        $this->addElement('button', 'submit_button', array(
            'ignore' => true , 
            'label' => 'submit' , 
            'attribs' => array(
                'id' => 'gtHistorymanageSubmit'
            ) , 
            'decorators' => array(
                'ViewHelper'
            )
        ));
        
        //Reset
        $this->addElement('button', 'reset_button', array(
            'ignore' => true , 
            'label' => 'reset' , 
            'attribs' => array(
                'id' => 'gtHistorymanageReset'
            ) , 
            'decorators' => array(
                'ViewHelper'
            )
        ));
    
    }
}