<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: HistorydataDownload.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Giscuit_Form_Abstract
 */
require_once 'Giscuit/Form/Abstract.php';

/**
 * Form class for offline editing download
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_HistorydataDownload extends Giscuit_Form_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        //Format
        $this->addElement('select', 'ext', array(
            'required' => true , 
            'label' => 'format' , 
            'multiOptions' => array(
                'shp' => 'ESRI Shapefile' , 
                'tab' => 'MapInfo File'                
            )
        ));
        
        //Comment
        $this->addElement('textarea', 'comment', array(
            /*
            'filters' => array(
                'StringTrim' , 
                'HtmlSpecialChars'
            ) ,
            */ 
            'required' => true , 
            'label' => 'comment' , 
            'rows' => 5 , 
            'cols' => 30
        ));
        
        //Submit
        $this->addElement('button', 'submit_button', array(
            'required' => false , 
            'ignore' => true , 
            'label' => 'submit' , 
            'attribs' => array(
                'id' => 'gtHistorydataDownloadSubmit'
            ) ,
            /*
            'decorators' => array(
                'ViewHelper'
            )
            */
        ));
    
    }
}