<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: HistorydataUpload.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see Giscuit_Form_Abstract
 */
require_once 'Giscuit/Form/Abstract.php';

/**
 * Form class for offline editing upload
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_HistorydataUpload extends Giscuit_Form_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        //Archive
        $archive = new Zend_Form_Element_File('archive');
        $archive->setLabel('uploadAnArchive');
        $archive->setRequired(true);
        $archive->addValidator('Count', false, 1);
        $archive->setDestination(GT_TMP_PATH);
        $archive->addValidator('FilesSize', false, array(
            'min' => 1 , 
            'max' => '3MB'
        ));
        $archive->addValidator('Extension', false, array(
            'ext' => 'zip' , 
            'case' => true
        ));
        $this->addElement($archive, 'archive');
        
        //Submit
        $this->addElement('button', 'submit_button', array(
            'required' => false , 
            'ignore' => true , 
            'label' => 'submit' , 
            'attribs' => array(
                'id' => 'gtHistorydataUploadSubmit'
            ) ,
            'decorators' => array(
                'ViewHelper'
            )
        ));
        
        $this->setAttrib('enctype', 'multipart/form-data');
    
    }
}