<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Quickaccess.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Layer
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Quickaccess layer form class
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Layer
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Form_Layer_Quickaccess extends Giscuit_Form_Layer_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        $config = Zend_Registry::get('config');
        $isAllowed = Zend_Controller_Action_HelperBroker::getStaticHelper('isAllowed');
        
        $languages = $config->language->toArray();
        foreach ($languages as $key => $value) {
            $this->addElement('text', 'name_' . $key, array(
                'required' => false, 
                'label' => $value
            ));
        }
        
        if ($isAllowed->direct('admin')) {
            $this->addElement('checkbox', 'published', array(
                'validators' => $this->checkboxValidator ,
                'required' => true , 
                'label' => 'published' ,
                'checkedValue' => 't' , 
                'uncheckedValue' => 'f'
            ));
        }

    }
}