<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: Oldpassword.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Validate
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Check if $value matches current user's password
 * 
 * @category   Giscuit
 * @package    Giscuit_Validate
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Validate_Oldpassword extends Zend_Validate_Abstract
{

    const INVALID_PASSWORD = 'invalidPassword';

    /**
     * Validation failure message template definitions
     *
     * @var array
     */
    protected $_messageTemplates = array(
        self::INVALID_PASSWORD => "Invalid password"
    );

    /**
     * Defined by Zend_Validate_Interface
     * 
     * Returns true if and only if $value matches current user's password
     * 
     * @param string $value
     * @return boolean
     */
    public function isValid ($value)
    {
        $config = Zend_Registry::get('config');
        
        $password = md5($value . $config->salt);
        
        $userId = Zend_Controller_Action_HelperBroker::getStaticHelper('userId')->direct();
        $usersTable = new Giscuit_Db_Table_Users();
        
        $oldPassword = $usersTable->getPassword($userId);
        
        if ($oldPassword === $password) {
            return true;
        } else {
            $this->_error(self::INVALID_PASSWORD);
            return false;
        }
    
    }
}