/**
 * Admin javascript code for categories
 */

var incidentsCreateCategoriesDt = function () {
    
    var categoryRowPerPage = 10;
    
    var deleteFormatter = function(elCell, oRecord, oColumn, oData) {
        var image = document.createElement('img');
        image.style.cursor = 'pointer';
        image.src = gt.config.httpImagePath + '/list_remove.png';
        image.title = gt.translate._('delete');
        
        YAHOO.util.Event.addListener(image, "click", function(oArgs) {
            if (confirm(gt.translate._('deleteConfirm'))) {
                YAHOO.util.Event.purgeElement(this);
                
                var htmlRow = this.parentNode.parentNode.parentNode;
                var id = categoriesDt.dt.getRecord(htmlRow).getData('id');

                categoriesDt.dt.deleteRow(htmlRow);

                YAHOO.util.Connect.asyncRequest('POST', categoriesDt.options.deleteDataUrl + '/id/' + id, {
                    success: function (o) {
                        categoriesDt.options.afterRowDelete.fire();
                    },
                    failure: Giscuit.Util.callbackFailure,
                    scope: this
                });
            }
        });
        
        elCell.style.textAlign = 'center';
        elCell.appendChild(image);
    };

    var fieldsArr = ['id', 'name_id', 'color', 'delete'];
    for (var langKey in pluginLanguageObj) {
        fieldsArr.push(langKey);
    }
    
    var columnsArr = [{key: "id", label: gt.translate._('id'), sortable: true}, 
        {key: "name_id", label: gt.translate._('name_id'), hidden: true}
    ];
    
    for (var langKey in pluginLanguageObj) {
        var columnObj = {};
        columnObj.key = langKey;
        columnObj.resizeable = true;
        columnObj.editor = "textbox";
        columnObj.label = pluginLanguageObj[langKey];
        columnsArr.push(columnObj);
    }
    columnsArr.push({key: "color", resizeable: true, editor: new YAHOO.widget.ColorCellEditor(), width: 50, label: gt.translate._('color')});
    columnsArr.push({key: "delete", formatter: deleteFormatter, label: gt.translate._('delete')});
    
    var categoriesOptions = {
        fields : fieldsArr ,
        columnDefs : columnsArr,
        dataUrl : gt.config.httpToolPath + '/incidents/getcategories' ,
        dataSourceType: YAHOO.util.DataSource.TYPE_JSON ,
        addDataUrl : gt.config.httpToolPath + '/incidents/addcategory' ,
        updateDataUrl : gt.config.httpToolPath + '/incidents/updatecategory' ,
        deleteDataUrl : gt.config.httpToolPath + '/incidents/deletecategory' ,
        container : 'incidentsCategoriesDt' ,
        rowsPerPage : categoryRowPerPage ,
        keyColumn : 'id'
    };  

    var categoriesDt = new Giscuit.Datatable(categoriesOptions);

    categoriesDt.editRow = function (oArgs) {
        var column = oArgs.editor.getColumn().key;
        var data = oArgs.newData;
        
        if (column == 'color') {
            var id = oArgs.editor.getRecord().getData(this.options.keyColumn);
        } else {
            var id = oArgs.editor.getRecord().getData('name_id');
        }
        
        var params = 'data=' + data + '&id=' + id + '&column=' + column;
        var url = this.options.updateDataUrl;

        YAHOO.util.Connect.asyncRequest('POST', url, {
            success: function (o) {
                try {
                    var responseText = YAHOO.lang.JSON.parse(o.responseText);
                } catch(e) {
                    Giscuit.Util.parseFailure(o, e);
                    return;
                }
                
                if (responseText.replyCode != 200) {
                    Giscuit.Util.invalidReplyCode(responseText);
                    return;
                }                
            },
            failure: Giscuit.Util.callbackFailure,
            scope: this
        }, params);
    };
    
    categoriesDt.addButton = new YAHOO.widget.Button({
        id: "categoriesDtAddButton", 
        type: "button", 
        label: gt.translate._('add'), 
        container: "incidentsCategoriesDtAddButton" 
    });
    
    categoriesDt.options.onRowAdd.subscribe(function () {
        YAHOO.util.Connect.asyncRequest('POST', categoriesDt.options.addDataUrl, {
            success: function (o) {
                try {
                    var responseText = YAHOO.lang.JSON.parse(o.responseText);
                } catch(e) {
                    Giscuit.Util.parseFailure(o, e);
                    return;
                }
                
                if (responseText.replyCode != 200) {
                    Giscuit.Util.invalidReplyCode(responseText);
                    return;
                }

                categoriesDt.dt.addRow(responseText.record);
                categoriesDt.dt.get('paginator').setPage(categoriesDt.dt.get('paginator').getTotalPages());
            },
            failure: function (o) {
                Giscuit.Util.callbackFailure(o);
            },
            scope: this
        });
    }, null, this);
    
    categoriesDt.initialize();
}

incidentsCreateCategoriesDt();