/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Legend.js 2844 2012-07-09 08:54:35Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
Giscuit.Map.prototype.gtEventListeners.push({
    'draw': function() {
        gt.control.legend = new Giscuit.Control.Legend();
    }
});

/**
 * Class: Giscuit.Control.Legend
 * 
 *  Inherits from:
 *   - <Giscuit.Control>
 */
Giscuit.Control.Legend = OpenLayers.Class(Giscuit.Control, {

    panel: null,
    
    initialize: function (options) {
        //Deprecated in 2.12
        //this.EVENT_TYPES.push('draw');
        
        Giscuit.Control.prototype.initialize.apply(this, [options]);

        this.events.register("draw", this, function() {
            var panel = gt.accord.getPanel(this.getPanelIndex()).children[1];
        });
        
        if(gt.accord.addPanel == undefined) {
            return;
        }
                
        gt.accord.addPanel({
            label: gt.translate._('legend') ,
            content: this.getLoadingImage()
        });
        this.panel = gt.accord.getPanel(gt.accord.getPanels().length - 1);
        this.addHelpButton('http://docs.giscuit.com/En/tutorial_refguide.user.desktop.legend.pkg.html');
        
        gt.accord.on("panelOpen", this.get, null, this);
    },
    
    get: function (args) {
        if(this.panel != args.panel) {
            return;
        }
                
        gt.accord.setBody(this.getPanelIndex(), this.getLoadingImage());
        
        var getCallback = {
            success: this.getSuccess,
            timeout: this.callbackTimeout,
            failure: this.callbackFailure,
            scope: this
        };

        var request = YAHOO.util.Connect.asyncRequest('GET', gt.config.httpToolPath + "/legend/index" + gt.map.getLayersString(), getCallback);

    },

    getSuccess: function (o) {
        gt.accord.setBody(this.getPanelIndex(), o.responseText);
        this.events.triggerEvent("draw");
    },

    CLASS_NAME: "Giscuit.Control.Legend"
});
