/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Scale.js 3324 2013-02-27 13:29:44Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * Class: Giscuit.Control.Scale
 * 
 *  Inherits from:
 *   - <Giscuit.Control>
 */
Giscuit.Control.Scale = OpenLayers.Class(OpenLayers.Control.Scale, {
    
    select: null,
    
    initialize: function(element, options) {
        OpenLayers.Control.prototype.initialize.apply(this, [options]);
        this.element = OpenLayers.Util.getElement(element);
        
        this.div = document.createElement('div');
        this.div.className = 'GiscuitControlScale';
        OpenLayers.Util.getElement('gtMap').appendChild(this.div);
    },
    
    draw: function() {
        OpenLayers.Control.Scale.prototype.draw.apply(this, arguments);
        
        this.div.innerHTML = gt.translate._('scale') + ': ';
        this.select = document.createElement('select');
        
        var resolutions = this.map.resolutions;
        var units = this.map.getUnits();
        
        for(var i = 0; i < resolutions.length; i++) {
            var scale = Math.round(OpenLayers.Util.getScaleFromResolution(resolutions[i], units));
            
            var elOptNew = document.createElement('option');
            elOptNew.text = '1:' + scale;
            elOptNew.value = scale;
            
            try {
                this.select.add(elOptNew, null);
            }
            catch(ex) {
                this.select.add(elOptNew);
            }
        
        }
        
        YAHOO.util.Event.addListener(this.select, "change", function (oArgs) {
            var scale = this.select.options[this.select.selectedIndex].value;
            this.map.zoomToScale(scale, true);
        }, null, this);
        
        this.div.appendChild(this.select);
        
        return this.div;
    },
    
    updateScale: function () {
        if(this.select == null) {
            return;
        }
        
        var scale = this.map.getScale();
        scale = Math.round(scale);
        
        var options = this.select.getElementsByTagName('option');
        for(var i = 0;  i < options.length; i++) {
            if(options[i].value == scale) {
                this.select.selectedIndex = i;
            }
        }
        
    },
    
    CLASS_NAME: "Giscuit.Control.Scale"
});