/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Serial.js 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * Class: Giscuit.Util.Serialphonegap
 */
Giscuit.Util.Serialphonegap = {
    
    devices: [],
    
    status: 0,
    
    plugin: null,
    
    uuid: '00001101-0000-1000-8000-00805f9b34fb',
        
    getDevices: function() {
        this.plugin.getBondedDevices(Giscuit.Util.bind(function(devices) {
            this.devices = devices;
            this.events.triggerEvent('getdevices', devices);
        }, this));
    },    
    
    open: function (device, baudrate) {
        //Connect
        this.plugin.connect(Giscuit.Util.bind(function() {
            this.status = 1;
            this.events.triggerEvent('open', true);
            
            //Read
            this.plugin.read(Giscuit.Util.bind(function(data) {
                gt.control.serial.events.triggerEvent('read', data);
            }, this), Giscuit.Util.bind(function(error) {
                gt.control.serial.events.triggerEvent('readfail', error);
            }, this));
            
        }, this), Giscuit.Util.bind(function(error) {
            this.status = 0;
            this.events.triggerEvent('open', error);
         }, this), device, this.uuid);
        
    },
    
    close: function () {
        this.status = 0;
        this.plugin.disconnect(Giscuit.Util.bind(function(evt) {
            gt.control.serial.events.triggerEvent('close', true);
        }, this), Giscuit.Util.bind(function(error) {
            gt.control.serial.events.triggerEvent('close', error);
        }, this));
    },

    write: function() {
        this.events.triggerEvent('write', result);
    },
    
    initializePlugin: function() {
        $.mobile.showPageLoadingMsg();

        this.plugin = cordova.require('cordova/plugin/bluetooth');
        
        gt.control.serial.render();
    }

};