<?php

class AllTests 
{

    public static function main() 
    {
        PHPUnit_TextUI_TestRunner::run(self::suite(), array());
    }

    public static function suite() 
    {
        
        $suite = new PHPUnit_Framework_TestSuite();
        $suite->setName('Giscuit');
        $defaultModulePath = GT_APP_PATH . DIR_SEP . 'tests' . DIR_SEP . 'controllers';
        
        //InitTest
        require_once $defaultModulePath . DIR_SEP . 'InitTest.php';
        $suite->addTestSuite('InitTest');

        //NewsControllerTest
        require_once $defaultModulePath . DIR_SEP . 'NewsControllerTest.php';
        $suite->addTestSuite('NewsControllerTest');
        
        //AuthControllerTest
        require_once $defaultModulePath . DIR_SEP . 'AuthControllerTest.php';
        $suite->addTestSuite('AuthControllerTest');
        
        //UsersControllerTest
        require_once $defaultModulePath . DIR_SEP . 'UsersControllerTest.php';
        $suite->addTestSuite('UsersControllerTest');
        
        //SettingsControllerTest
        require_once $defaultModulePath . DIR_SEP . 'SettingsControllerTest.php';
        $suite->addTestSuite('SettingsControllerTest');
        
        //MenuControllerTest
        require_once $defaultModulePath . DIR_SEP . 'MenuControllerTest.php';
        $suite->addTestSuite('MenuControllerTest');
        
        //ChpassControllerTest
        require_once $defaultModulePath . DIR_SEP . 'ChpassControllerTest.php';
        $suite->addTestSuite('ChpassControllerTest');
        
        //DrawControllerTest
        require_once $defaultModulePath . DIR_SEP . 'DrawControllerTest.php';
        $suite->addTestSuite('DrawControllerTest');
        
        //LsControllerTest
        require_once $defaultModulePath . DIR_SEP . 'PrivateLayersControllerTest.php';
        $suite->addTestSuite('PrivateLayersControllerTest');    

        //SearchControllerTest
        require_once $defaultModulePath . DIR_SEP . 'SearchControllerTest.php';
        $suite->addTestSuite('SearchControllerTest');
        
        //InfoControllerTest
        require_once $defaultModulePath . DIR_SEP . 'InfoControllerTest.php';
        $suite->addTestSuite('InfoControllerTest');
        
        //SnapControllerTest
        require_once $defaultModulePath . DIR_SEP . 'SnapControllerTest.php';
        $suite->addTestSuite('SnapControllerTest');
        
        //WfsControllerTest
        require_once $defaultModulePath . DIR_SEP . 'WfsControllerTest.php';
        $suite->addTestSuite('WfsControllerTest');
        
        //WmsControllerTest
        require_once $defaultModulePath . DIR_SEP . 'WmsControllerTest.php';
        $suite->addTestSuite('WmsControllerTest');
        
        //EditgeomControllerTest
        require_once $defaultModulePath . DIR_SEP . 'EditgeomControllerTest.php';
        $suite->addTestSuite('EditgeomControllerTest');
        
        //RastercutControllerTest    
        require_once $defaultModulePath . DIR_SEP . 'RastercutControllerTest.php';
        $suite->addTestSuite('RastercutControllerTest');
        
        if (file_exists($defaultModulePath . DIR_SEP . 'LicenseControllerTest.php')) {
            //LicenseControllerTest    
            require_once $defaultModulePath . DIR_SEP . 'LicenseControllerTest.php';
            $suite->addTestSuite('LicenseControllerTest');
        }
        
        return $suite;
    }

}

define('GT_TESTING', true);
require_once '..' . DIRECTORY_SEPARATOR . 'public' . DIRECTORY_SEPARATOR .  'index.php';