Giscuit.Mobile.Map.prototype.gtEventListeners.push({
	'draw': function() {
		gt.control.borders = new Giscuit.Mobile.Control.Borders();
	}
});

/**
 * Namespace: Giscuit.Mobile.Control.Borders
 */
Giscuit.Mobile.Control.Borders = OpenLayers.Class(Giscuit.Control, {
	
	clickControl: null,

    initialize: function(options) {
    	Giscuit.Control.prototype.initialize.apply(this, [options]);
        
        //Add button, display page and events
        $(document).ready(Giscuit.Util.bind(function() {
        	
            //Create page for displaying results
            var html = 
            '<div data-role="page" id="gtBorders" data-dom-cache="true" data-url="gtBorders">' +
            '<div data-role="header">' +
                '<h1>' + gt.translate._('borders') + '</h1>' +
                '<a href="#gtMap" data-icon="map" data-direction="reverse" class="ui-btn-right jqm-home">' +
                    gt.translate._('map') + 
                '</a>' + 
            '</div>' +
             
            '<div data-role="content">' + 
            '</div>' +        
            
            '</div>';
                
            $.mobile.pageContainer.append(html);
            $('#gtBorders').page();
        	
            //Append control button
        	$("#gtMapControls").append('<div>'
        		+ '<div class="ui-bar ui-bar-c" id="gtBordersButton">'
                + '<div class="gtMapControlsElImage" style="background-image:url(' + gt.config.httpImagePath + '/mobile_view_statistics.png);"></div>'
                + '<div class="gtMapControlsElText">' + gt.translate._('borders') + '</div>'
                + '</div></div>');

            //Toggle activate/deactivate
            $("#gtBordersButton").click(Giscuit.Util.bind(function() {
                if(this.active) {
                    this.deactivate();
                } else {
                    this.activate();
                }
            }, this));
            
        }, this));
    }, 
    
    activate: function () {
        //Deactivate all active controls
        gt.map.deactivateAll();
        
        //Highlight control button
        $("#gtBordersButton").addClass('ui-btn-active');
        
        //Hide map controls
        $("#gtMapControls").css('display', 'none');
        $("#gtToggleControlsButton").css('bottom', '5px').removeClass('ui-btn-active');

        var activated = Giscuit.Control.prototype.activate.call(this);
        if (activated == true) {
        	//Create, add and activate a click control
            this.clickControl = new Giscuit.Control.Click({
                'clickCallback': Giscuit.Util.bind(this.trigger, this)
            });
            gt.map.addControl(this.clickControl);
            this.clickControl.activate();
        }
        
        return activated;
    },

    deactivate: function () {
        
        var deactivated = Giscuit.Control.prototype.deactivate.call(this);
        
        //Unhighlight control button
        $("#gtBordersButton").removeClass('ui-btn-active');
        
        if (deactivated == true) {
            //Destroy control
            this.clickControl.destroy();
            this.clickControl = null;
        }
        
        return deactivated;
    },
    
    /**
     * Called when we recive a response from the server
     */
    set: function (data) {
        
    	var html = '';
        if(data.records.length > 0) {
            //Construct html from received data
            html = '<ul>' + gt.translate._('borderingCountriesWith') +  
            	' ' + data.name + ': <li>' + 
            	data.records.join('</li><li>') +
            	'</li></ul>';
        } else {
            var html = '<p>' + gt.translate._('noNeighboursFound') + '</p>';
        }
            
        //Populate page content with prepared html
        var content = $("#gtBorders > div[data-role='content']");
        content.html(html);
        
        //Show results page
        $.mobile.changePage($('#gtBorders'), {
            'changeHash': true
        });
        
        $.mobile.hidePageLoadingMsg();
    },

    /**
     * Called when user clicks on the map
     */
    trigger: function (evt) {
        var lonlat = gt.map.getLonLatFromViewPortPx(evt.xy);
        
        var url = gt.config.httpToolPath + '/borders/get/lon/' + lonlat.lon + 
        	'/lat/' + lonlat.lat;

        $.mobile.showPageLoadingMsg();
        
	    $.ajax({
	        'type': 'GET',
	        'url': url,
	        'success': this.set,
	        'error': Giscuit.Util.jqmAjaxError ,
	        'dataType': 'json' ,
	        'context': this
	    });
        
    },
    
    CLASS_NAME: "Giscuit.Mobile.Control.Borders"
});